diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 5a92978..4cf49d2 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -54920,10 +54920,10 @@ ListToMap(A:SetCategory, B:Type): Exports == Implementation where
       ++ The value returned is then obtained by applying f to argument a.
 
   Implementation ==> add
-    match(la, lb)             == match(la, lb, #1)
+    match(la, lb)             == (z1:A):B +-> match(la, lb, z1)
     match(la:LA, lb:LB, a:A)  == lb.position(a, la)
-    match(la:LA, lb:LB, b:B)  == match(la, lb, #1, b)
-    match(la:LA, lb:LB, f:AB) == match(la, lb, #1, f)
+    match(la:LA, lb:LB, b:B)  == (z1:A):B +-> match(la, lb, z1, b)
+    match(la:LA, lb:LB, f:AB) == (z1:A):B +-> match(la, lb, z1, f)
 
     match(la:LA, lb:LB, a:A, b:B) ==
       (p := position(a, la)) < minIndex(la) => b
diff --git a/changelog b/changelog
index a5e5240..919d075 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090606 tpd src/axiom-website/patches.html 20090606.05.tpd.patch
+20090606 tpd books/bookvol10.4 LIST2MAP +-> conversion
 20090606 tpd src/axiom-website/patches.html 20090606.04.tpd.patch
 20090606 tpd books/bookvol10.4 LF +-> conversion
 20090606 tpd src/axiom-website/patches.html 20090606.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 54f2c2e..508f08c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1471,5 +1471,7 @@ bookvol10.4 LODOOPS +-> conversion<br/>
 bookvol10.4 LPEFRAC +-> conversion<br/>
 <a href="patches/20090606.04.tpd.patch">20090606.04.tpd.patch</a>
 bookvol10.4 LF +-> conversion<br/>
+<a href="patches/20090606.05.tpd.patch">20090606.05.tpd.patch</a>
+bookvol10.4 LIST2MAP +-> conversion<br/>
  </body>
 </html>
